{{define "index"}}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <title>Агрегатор новостей</title>
</head>
<body>
    <div class="row col-12">

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <span class="navbar-brand mb-0 h1">Агрегатор новостей</span>
          <div class="collapse navbar-collapse" id="navbarNav"></div>
          <a class="nav-link navbar-brand" href="/sources_list">Источники</a>
          <form class="d-flex" action="/search" method="post">
            <input class="form-control me-2" type="search" placeholder="Поиск" aria-label="Поиск" name="searchString">
            <button class="btn btn-outline-success" type="submit">Поиск</button>
        </form>
        </div>
      </nav>

    {{ range . }}
        <div class="col-6 justify-content-center">
          <h5>{{.Title}}</h5>
          <p>{{.Description}}</p>
          <p>{{.Date}}</p>
          <a href={{.Link}}>Читать далее</a>
        </div>
    {{end}}
    </div>
</body>
</html>
{{end}}